/* Selectors are used to choose wich element in the html file will be styled by the css code*/
/* There are several ways use selectors*/

/* Element Selectos */
/*----------------------------------------------*/
/* Select everything inside the h1 title*/
h1 {
    color:red;
}

/* Select all paragraphs*/
p {
    color:green;
}

/* Select all spans*/
span {
    color:gray;
}

/* Select only paragraphs inside h2*/
h2 span {
    color: gold;
}
/*----------------------------------------------*/

/* Attribute selector */
[src="image.jpg"] {
    color:white;    /* This will apply to elements whose src attribute is "image.jpg" */
}

/* Classes: You may define classes and only apply css styles to elements from that class */
/* This requires to use an html element's attribute to indicate that such element belongs to certain class */
/* Example: */ 
/* <span class="myClass>My Text<span/> */
/* Then you may use a class selector css: */
.myClass {
    color:brown;        /* This will apply to all elements with class="myClass" unless there's another declaration with higher priority */
}
/* You may also combine class selectors to select classes of elements within a parent element that belongs to a class: */
.myClass .mySecondClass {
    color:silver;       /* This will apply to an element if it belongs to "mySecondClass" AND it's parent element belongs to "myClass" */
}

/* Element selectors and class selectors may also be combined*/
.myClass p {
    color:aqua;         /* This will apply to all paragraph elements with class="myClass"*/
}

/* Another way to do this (to avoid writing the class of everry p element) is using parent-child class selection: */
.myClass > p {
    color:cyan;         /* This will apply to all paragraph elements whose parent belongs to "myClass" */
}
/* Classes are reutilizable: Multiple elements may belong to the same class*/

/* ID selectors */
#myID {
    color:violet;       /* This will apply to all elements with the id="myID" attribute */
}

/* However, Id's must be unique: You may NOT use the same ID for multiple elements: */
/* Wrong way (it will work, but it is wrong): */
/* <h1 id="myID">Title<h1/>*/
/* <h2 id="myID">Title<h/>*/
/* Right way: */
/*---------------------------------------*/
/* <h1 id="myID">Title<h1/>*/
/* <h2 id="myID2">Title<h2/>*/
#myID {
    color:violet;    
}
#myID2 {
    color:purple;    
}
/*---------------------------------------*/

/* Pseudoselectors */
/* They are used to define custom properties. Example: Generate your own color pallete defining colors yourself */
:root {
    --white: #ffffff;
    --dark: #212121;
    --prima_color: #FFC107;
}

/* In order to use theese colors */
